From 1c99da5cbdb92ed4326e6a51484dcd9387e743e4 Mon Sep 17 00:00:00 2001
From: Jeremy Evans <code@jeremyevans.net>
Date: Sat, 4 Jul 2020 10:02:56 -0700
Subject: [PATCH] Only print keyword deprecation warnings in verbose mode

---
 test/-ext-/funcall/test_passing_block.rb |   8 +-
 test/ruby/test_io.rb                     |   2 +-
 test/ruby/test_keyword.rb                | 884 +++++++++++------------
 test/ruby/test_proc.rb                   |  56 +-
 test/ruby/test_struct.rb                 |   4 +-
 test/ruby/test_syntax.rb                 |   2 +-
 test/test_delegate.rb                    |   2 +-
 vm_args.c                                |   2 +-
 8 files changed, 480 insertions(+), 480 deletions(-)

diff --git a/test/-ext-/funcall/test_passing_block.rb b/test/-ext-/funcall/test_passing_block.rb
index d1164871b0..49249b860d 100644
--- a/test/-ext-/funcall/test_passing_block.rb
+++ b/test/-ext-/funcall/test_passing_block.rb
@@ -29,7 +29,7 @@ def test_with_funcall_passing_block_kw
     assert_equal([[{}], {}], Relay.with_funcall_passing_block_kw(2, {}, **{}, &block))
     assert_equal([[], {a: 1}], Relay.with_funcall_passing_block_kw(3, a: 1, &block))
     assert_equal([[{a: 1}], {}], Relay.with_funcall_passing_block_kw(3, {a: 1}, **{}, &block))
-    assert_warn(/warning: Passing the keyword argument as the last hash parameter is deprecated.*The called method is defined here/m) do
+    assert_warning(/warning: Passing the keyword argument as the last hash parameter is deprecated.*The called method is defined here/m) do
       assert_equal({}, Relay.with_funcall_passing_block_kw(3, **{}, &->(a){a}))
     end
   end
@@ -53,7 +53,7 @@ def o.baz(arg)
     assert_equal([[], {a: 1}], Relay.with_funcallv_public_kw(o, :foo, 3, a: 1))
     assert_equal([[{a: 1}], {}], Relay.with_funcallv_public_kw(o, :foo, 3, {a: 1}, **{}))
     assert_raise(NoMethodError) { Relay.with_funcallv_public_kw(o, :bar, 3, {a: 1}, **{}) }
-    assert_warn(/warning: Passing the keyword argument as the last hash parameter is deprecated.*The called method `baz'/m) do
+    assert_warning(/warning: Passing the keyword argument as the last hash parameter is deprecated.*The called method `baz'/m) do
       assert_equal({}, Relay.with_funcallv_public_kw(o, :baz, 3, **{}))
     end
   end
@@ -64,11 +64,11 @@ def test_with_yield_splat_kw
     assert_equal([[], {a: 1}], Relay.with_yield_splat_kw(1, [{a: 1}], &block))
     assert_equal([[1], {a: 1}], Relay.with_yield_splat_kw(1, [1, {a: 1}], &block))
     assert_equal([[{}], {}], Relay.with_yield_splat_kw(2, [{}], **{}, &block))
-    assert_warn(/warning: Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/warning: Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[], {a: 1}], Relay.with_yield_splat_kw(3, [{a: 1}], &block))
     end
     assert_equal([[{a: 1}], {}], Relay.with_yield_splat_kw(3, [{a: 1}], **{}, &block))
-    assert_warn(/warning: Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/warning: Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal({}, Relay.with_yield_splat_kw(3, [], **{}, &->(a){a}))
     end
   end
diff --git a/test/ruby/test_io.rb b/test/ruby/test_io.rb
index c66446d2e8..91a5aec186 100644
--- a/test/ruby/test_io.rb
+++ b/test/ruby/test_io.rb
@@ -2292,7 +2292,7 @@ def o.to_open(**kw); kw; end
       match
     end
 
-    assert_warn(w) do
+    assert_warning(w) do
       assert_equal({:a=>1}, open(o, {a: 1}))
     end
 
